
#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D u_texture1;

void main() {
    vec4 color1 = texture2D(CC_Texture0, v_texCoord);
    vec4 color2 = texture2D(u_texture1, v_texCoord);
	float temp = 1.0 - color2.a;
	if (color1.a > temp)
	{
		gl_FragColor = v_fragmentColor * vec4(color1.r * temp, color1.g * temp, color1.b * temp, color1.a * temp);
	}
	else
	{
		gl_FragColor = v_fragmentColor * color1;
	}
}

